Job Material With Make Method Id
The job material with make method id resource.
Basehttps://rest.carbon.ms/jobMaterialWithMakeMethodId
GET
/jobMaterialWithMakeMethodIdList job material with make method ids
Retrieve a paginated list of job material with make method ids. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/jobMaterialWithMakeMethodId
curl --request GET \
--url 'https://rest.carbon.ms/jobMaterialWithMakeMethodId?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"jobMaterialMakeMethodId": "xyz789",
"jobId": "xyz789",
"itemId": "xyz789",
"itemType": "string",
"methodType": "string",
"order": 0,
"description": "string"
}
]GET
/jobMaterialWithMakeMethodIdRetrieve a job material with make method id
Fetch a single job material with make method id by filtering on `id`.
Query parameters
idstringMatch on the job material with make method id's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/jobMaterialWithMakeMethodId
curl --request GET \
--url 'https://rest.carbon.ms/jobMaterialWithMakeMethodId?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"jobMaterialMakeMethodId": "xyz789",
"jobId": "xyz789",
"itemId": "xyz789",
"itemType": "string",
"methodType": "string",
"order": 0,
"description": "string"
}